import * as React from 'react';
import { Value } from "@alephdata/followthemoney";
import { ITypeProps } from "./common";
export declare class EnumValueSelect extends React.PureComponent<ITypeProps> {
    private inputRef;
    constructor(props: any);
    componentDidMount(): void;
    onChange([countryId, label]: [string, string]): void;
    getAvailableOptions(): [string, string][];
    getIdLabelPairs(): [string, string][];
    onRemove(valToRemove: Value): void;
    render(): JSX.Element;
}
